Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming.factories
Class MailSessionReference.PasswordAuthenticator

    java.lang.Object
      javax.mail.Authenticator
          org.mortbay.naming.factories.MailSessionReference.PasswordAuthenticator

Enclosing class:
  MailSessionReference

    public static class MailSessionReference.PasswordAuthenticator

extends javax.mail.Authenticator

Constructor Summary
`MailSessionReference.PasswordAuthenticator()`
`MailSessionReference.PasswordAuthenticator(java.lang.String user, java.lang.String password)`

Method Summary
`java.lang.String` | `getPassword()`
`javax.mail.PasswordAuthentication` | `getPasswordAuthentication()`
`java.lang.String` | `getUser()`
`void` | `setPassword(java.lang.String password)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class javax.mail.Authenticator
`getDefaultUserName, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingSite`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailSessionReference.PasswordAuthenticator

    public MailSessionReference.PasswordAuthenticator()

### MailSessionReference.PasswordAuthenticator

    public MailSessionReference.PasswordAuthenticator(java.lang.String user,
                                                      java.lang.String password)

Method Detail

### getPasswordAuthentication

    public javax.mail.PasswordAuthentication getPasswordAuthentication()

  Overrides:
    `getPasswordAuthentication` in class `javax.mail.Authenticator`

### setUser

    public void setUser(java.lang.String user)

### getUser

    public java.lang.String getUser()

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.